const formatTime = date => {
  const year = date.getFullYear()
  const month = date.getMonth() + 1
  const day = date.getDate()
  const hour = date.getHours()
  const minute = date.getMinutes()
  const second = date.getSeconds()

  return [year, month, day].map(formatNumber).join('/') + ' ' + [hour, minute, second].map(formatNumber).join(':')
}

const formatNumber = n => {
  n = n.toString()
  return n[1] ? n : '0' + n
}


const getQueryString = (url)=> {
  var queryParts = url.slice(url.indexOf("?") + 1).split('&');
    var params = queryParts.length > 0 ? {} : null;
    queryParts.map(function (item) {
      var a = item.split('=')
      params[a[0]] = a[1]
    })
    return params
} 

module.exports = {
  formatTime: formatTime,
  getQueryString: getQueryString
}
